@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@100;300;400;500;600;700;800;900&display=swap');

:root{
    --primary-color: rgb(247, 214, 20);
    --secondary-color: rgb(158, 135, 2);
    --text-color: rgb(0, 0, 0);
    --dark-color: rgb(119, 104, 17);
    --light-color: #f0f0f0;
    --white-color: #ffffff;    
    --theme-light: #f7d614;
}
body {
    font-family: 'Montserrat', sans-serif;
    font-size: 16px;
    line-height: 24px;
    font-weight: 500;
}

a {
    text-decoration: none;
    color: inherit;
}

.bg-primary {
    background-color: var(--primary-color) !important;
}

.bg-secondary {
    background-color: var(--secondary-color) !important;
}

.text-primary {
    color: var(--primary-color) !important;
}

.text-theme {
    color: var(--dark-color) !important;
}

.text-theme-light {
    color: var(--theme-light) !important;
}

main {
    position: relative;
    min-height: 100vh;
}

.border-top15 {
    border-top: 15px solid var(--dark-color);
}

.bg-image {
    background-image: url(../images/login-img.png);
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
}


/* Login Panel */
/* ================================== */
.logo {
    padding: 3px;
    background-color: #f7d713;
    border-radius: 100%;
    box-shadow: 0 0 0 5px #fda900;
    margin: 5px;
}

.loginBox {
    position: absolute;
    width: 100%;
    bottom: 20px;

}

.loginBox .input-group-text {
    background: #fff;
    color: var(--primary-color);
    border-radius: 0;
    border: 0;
    justify-content: center;
    box-shadow: none;
    padding: 5px 10px;
    height: 47px;
    width: 47px;
}

.loginBox .form-control {
    border-radius: 0;
    border: 0;
    box-shadow: none;
    height: 47px;
}

.loginBox button {
    background: var(--white-color);
    color: var(--secondary-color);
    border-radius: 0;
    border: 0;
    box-shadow: none;
    padding: 7px 20px;
    font-weight: 500;
}

.logoutBtn {
    background-color: var(--dark-color);
    color: var(--white-color);
    padding: 5px 15px;
    display: inline-flex;
    align-items: center;
    outline: none;
    border: none;
    border-radius: 5px;
    box-shadow: none;
    font-weight: 500;
    min-width: 270px;
}

.updateBtn {
    background-color: #12ff00;
    color: var(--white-color);
    padding: 8px 10px;
    display: inline-flex;
    align-items: center;
    outline: none;
    border: none;
    border-radius: 5px;
    box-shadow: none;
    font-weight: 500;
}

.cancelBtn {
    background-color: #ff0000;
    color: var(--white-color);
    padding: 8px 10px;
    display: inline-flex;
    align-items: center;
    outline: none;
    border: none;
    border-radius: 5px;
    box-shadow: none;
    font-weight: 500;
}

.dashboardBtn {
    background-color: #776811;
    color: var(--white-color);
    padding: 5px 15px;
    display: inline-flex;
    align-items: center;
    outline: none;
    border: none;
    border-radius: 5px;
    box-shadow: none;
    font-weight: 500;
    white-space: nowrap;
}
.logoutBtn2 {
    background-color: #de171a;
    color: var(--white-color);
    padding: 5px 15px;
    display: inline-flex;
    align-items: center;
    outline: none;
    border: none;
    border-radius: 5px;
    box-shadow: none;
    font-weight: 500;
    white-space: nowrap;
}
.blurred {
    filter: blur(5px);
    transition: filter 0.3s ease-in-out;
}
.savealert, .updatealert, .deletealert, .yesalert, .noalert, .cancelalert{
    min-width: 120px;
    box-shadow: none;
    font-weight: 500;
    color: var(--white-color);
}
.savealert{
    background-color: #15870d;
    color: var(--white-color);
}
.savealert:hover, .savealert:focus{
    background-color: #0d5f0a;
    color: var(--white-color);
}
.updatealert{
    background-color: #12ff01;
    color: var(--white-color);
}
.updatealert:hover, .updatealert:focus{
    background-color: #0ea909;
    color: var(--white-color);
}
.deletealert{
    background-color: #c60100;
    color: var(--white-color);
}
.deletealert:hover, .deletealert:focus{
    background-color: #a60000;
    color: var(--white-color);
}
.yesalert{
    background-color: #089de0;
    color: var(--white-color);
}
.yesalert:hover, .yesalert:focus{
    background-color: #0679b3;
    color: var(--white-color);
}
.noalert{
    background-color: #1f1f1f;
    color: var(--white-color);
}
.noalert:hover, .noalert:focus{
    background-color: #141414;
    color: var(--white-color);
}
.cancelalert{
    background-color: #fd0100;
    color: var(--white-color);
}
.cancelalert:hover, .cancelalert:focus{
    background-color: #b30000;
    color: var(--white-color);
}

/* Dashboard */
/* ======================================== */
.dashboardHeight{
    /* min-height: 1300px; */
    padding: 3rem 1rem;
}
.dashCard{
    border-radius: 0.5rem;
    padding: 1.5rem;
    position: relative;
    color: var(--white-color);
    height: 100%;
    width: 100%;
    border: none;
    outline: none;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    font-weight: 500;
}
.dashCard img{
    width: 75px;
    height: auto;
    display: block;
    margin: 0 auto 15px;
}
.dashCard:hover{
    box-shadow: var(--shadow-lg);
}



/* Footer */
/* ======================================== */
footer{
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    text-align: end;
    padding-right: 1.5rem;
    line-height: 40px;
    background-color: #776811;
    color: var(--white-color);
}


/* Responsive */
/* ======================================== */
@media(max-width:1024px){
    .dashboardHeight{
        padding: 1.75rem 1rem;
    }
 }

@media(max-width:800px){    
    .dashboardHeight{
        padding: 1.75rem 1rem;
    }
    footer{
        text-align: center;
    }
}

@media(max-width:600px){
    .loginBox{
        bottom: 50px;
    }
}